@import "./../../../../../static/css/variables";

$height-container-header: 52.8px;

.container-panel.ajuda-section {
  min-height: calc(100vh - 162px);
  max-height: calc(100vh - 162px);
  height: calc(100vh - 162px);

  .container-header {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-direction: column;
    margin: 0 0 1rem;
    background-color: #3c3d4012;
    // border-right: 5px solid #f2b84b;
    // border-bottom-right-radius: 6px;
    padding: 0.5rem 1rem 0.5rem 1rem;
    border-bottom: 1px solid #d3d3d37d;
    .header-info {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      align-items: center;
      text-align: center;
      span {
        line-height: 1;
        &.title {}
        &.subtitle {
          font-size: 1.1rem;
          text-align: center;
          &:last-child {
            margin-top: 4px;
            font-weight: 500;
            text-transform: uppercase;
            margin: .25rem;
          }
        }
      }
    }
    .header-search {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      margin-top: .5rem;
      .pseudo-search {
        display: inline;
        border: 1px solid #ccc;
        border-radius: 32px;
        padding: 10px 20px;
        transition: background-color 0.5 ease-in-out;
        background-color: white;
        input {
          border: 0;
          background-color: white;
          width: 260px;
          max-width: 90vw;
          font-size: 1.2rem;
          &:focus {
            outline: none;
          }
        }
        button {
          border: none;
          background: none;
          cursor: pointer;
          color: #3C3D40;
          transition: transform .15s ease-in-out;
          &:hover {
            transform: scale(1.2);
          }
        }
      }
      // .has-search {
      //   width: 320px;
      //   max-width: 80vw;
      //   .form-control {
      //     padding-left: 3.375rem;
      //     font-size: 1.2rem;
      //     &:focus {
      //       box-shadow: 0 0 0 0.05rem rgb(193 187 179 / 38%);
      //     }
      //   }
      //   .form-control-feedback {
      //     position: absolute;
      //     z-index: 2;
      //     display: block;
      //     width: 3.375rem;
      //     height: 2.375rem;
      //     line-height: 2.375rem;
      //     text-align: center;
      //     pointer-events: none;
      //     color: #aaa;
      //   }
      // }
    }
  }

  .container-body {
    width: 100%;
    height: min-content;
    max-height: calc(100% - 100px);
    overflow-y: auto;
    padding: .5rem .25rem 2.5rem 1rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    margin: 0;
    .video-card {
      // box-shadow: 0 5px 15px rgb(0 0 0 / 8%);
      margin-top: .5rem;
      margin-bottom: 1rem;
      .card {
        flex-direction: row;
        .card-header {
          width: 75%;
          line-height: 1;
          background-color: white;
          border: none;
          padding: 0;
          position: relative;
          border-left: 2px solid rgba(0,0,0,.125);
          .video-title {
            width: auto;
            max-width: 100%;
            padding: .5rem 2rem .5rem 1rem;
            background-color: #ECEBEB;
            position: absolute;
            top: -0.6rem;
            left: -0.4rem;
            border-top-right-radius: 12px;
            border-left: 5px solid #f2b84b;
            border-bottom-left-radius: 6px;
            span {
              &.title {
                font-size: 1.2rem;
                font-weight: 500;
                text-transform: uppercase;
              }
            }
          }
          .video-description {
            margin-top: 40px;
            padding: 1rem;
            line-height: 1;
            display: flex;
            flex-direction: column;
            height: calc(100% - 36px);
            span {
              font-size: 1.1rem;
              margin-top: .1rem;
            }
          }
        }
        .card-body {
          width: 25%;
          padding: .25rem;
          margin: auto;
          background-color: rgb(236 235 235);
          .video-area {
            margin: 0 auto;
            display: flex;
            justify-content: center;
            box-shadow: 0 5px 15px rgb(0 0 0 / 8%);
            iframe {}
          }
        }
      }
    }
  }
}


@media only screen and (max-width: 420px) {
  .container-panel.ajuda-section {
    .container-header {
      .header-info {
        span {
          &.title {}
          &.subtitle {
            &:last-child {
              &:last-child {}
            }
          }
        }
      }
      .header-search {
        // .has-search {
        //   .form-control {
        //   }
        //   .form-control-feedback {}
        // }
        .pseudo-search {
          input {
            &:focus {}
          }
          button {
            &:hover {}
          }
        }
      }
    }
    .container-body {
      height: calc(100% - 80px);
      max-height: calc(100% - 80px);
      .video-card {
        .card {
          flex-direction: column;
          .card-header {
            width: 100%;
            border-left: none;
            .video-title {
              position: relative;
              top: 0;
              left: 0;
              border-radius: 0;
              span {
                &.title {}
              }
            }
            .video-description {
              margin-top: 0;
              span {}
            }
          }
          .card-body {
            width: 100%;
            .video-area {
              iframe {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 600px) {
  .container-panel.ajuda-section {
    .container-header {
      margin: 0 0 .5rem;
      .header-info {
        span {
          &.title {}
          &.subtitle {
            text-align: center;
            &:last-child {
              &:last-child {}
            }
          }
        }
      }
      .header-search {
        margin-top: .25rem;
        width: 100%;
        justify-content: center;
        // .has-search {
        //   .form-control {
        //   }
        //   .form-control-feedback {}
        // }
        .pseudo-search {
          padding: 5px 12px 5px 16px;
          input {
            &:focus {}
          }
          button {
            &:hover {}
          }
        }
      }
    }
    .container-body {
      padding: 0 0 2rem;
      .video-card {
        .card {
          .card-header {
            .video-title {
              span {
                &.title {}
              }
            }
            .video-description {
              padding: .25rem 1rem;
              span {}
            }
          }
          .card-body {
            .video-area {
              iframe {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 768px) {
  .container-panel.ajuda-section {
    .container-header {
      .header-info {
        span {
          &.title {}
          &.subtitle {
            &:last-child {
              &:last-child {}
            }
          }
        }
      }
      .header-search {
        // .has-search {
        //   .form-control {
        //   }
        //   .form-control-feedback {}
        // }
        .pseudo-search {
          input {
            &:focus {}
          }
          button {
            &:hover {}
          }
        }
      }
    }
    .container-body {
      .video-card {
        .card {
          .card-header {
            .video-title {
              span {
                &.title {}
              }
            }
            .video-description {
              span {}
            }
          }
          .card-body {
            .video-area {
              iframe {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 992px) {
  .container-panel.ajuda-section {
    .container-header {
      .header-info {
        span {
          &.title {}
          &.subtitle {
            &:last-child {
              &:last-child {}
            }
          }
        }
      }
      .header-search {
        // .has-search {
        //   .form-control {
        //   }
        //   .form-control-feedback {}
        // }
        .pseudo-search {
          input {
            &:focus {}
          }
          button {
            &:hover {}
          }
        }
      }
    }
    .container-body {
      .video-card {
        .card {
          .card-header {
            .video-title {
              span {
                &.title {}
              }
            }
            .video-description {
              span {}
            }
          }
          .card-body {
            .video-area {
              iframe {}
            }
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 1200px) {
  .container-panel.ajuda-section {
    .container-header {
      .header-info {
        span {
          &.title {}
          &.subtitle {
            &:last-child {
              &:last-child {}
            }
          }
        }
      }
      .header-search {
        // .has-search {
        //   .form-control {
        //   }
        //   .form-control-feedback {}
        // }
        .pseudo-search {
          input {
            &:focus {}
          }
          button {
            &:hover {}
          }
        }
      }
    }
    .container-body {
      .video-card {
        .card {
          .card-header {
            .video-title {
              span {
                &.title {}
              }
            }
            .video-description {
              span {}
            }
          }
          .card-body {
            .video-area {
              iframe {}
            }
          }
        }
      }
    }
  }
}



